| ISF 1.1 Intelligent Sensing Framework

- Main Page
- Data Structures
- Files
- Sensor Adapters

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines
Data Fields
SPI_SPFIFOSTR Union Reference

`#include <fxlc95000.h>`

## Data Fields
word | Word
struct {
word FIFO_ENA:1
word __pad0__:1
word RFWM0:1
word RFWM1:1
word __pad1__:1
word TFWM0:1
word TFWM1:1
word __pad2__:1
word RFCNT0:1
word RFCNT1:1
word RFCNT2:1
word __pad3__:1
word TFCNT0:1
word TFCNT1:1
word TFCNT2:1
word __pad4__:1
} | Bits
struct {
word grpFIFO_ENx:1
word __pad0__:1
word grpRFWM:2
word __pad1__:1
word grpTFWM:2
word __pad2__:1
word grpRFCNT:3
word __pad3__:1
word grpTFCNT:3
word __pad4__:1
} | MergedBits

## Detailed Description

Definition at line 4246 of file fxlc95000.h.

## Field Documentation

word __pad0__

Definition at line 4250 of file fxlc95000.h.

word __pad1__

Definition at line 4253 of file fxlc95000.h.

word __pad2__

Definition at line 4256 of file fxlc95000.h.

word __pad3__

Definition at line 4260 of file fxlc95000.h.

word __pad4__

Definition at line 4264 of file fxlc95000.h.

struct { ... } Bits

word FIFO_ENA

Definition at line 4249 of file fxlc95000.h.

word grpFIFO_ENx

Definition at line 4267 of file fxlc95000.h.

word grpRFCNT

Definition at line 4273 of file fxlc95000.h.

word grpRFWM

Definition at line 4269 of file fxlc95000.h.

word grpTFCNT

Definition at line 4275 of file fxlc95000.h.

word grpTFWM

Definition at line 4271 of file fxlc95000.h.

struct { ... } MergedBits

word RFCNT0

Definition at line 4257 of file fxlc95000.h.

word RFCNT1

Definition at line 4258 of file fxlc95000.h.

word RFCNT2

Definition at line 4259 of file fxlc95000.h.

word RFWM0

Definition at line 4251 of file fxlc95000.h.

word RFWM1

Definition at line 4252 of file fxlc95000.h.

word TFCNT0

Definition at line 4261 of file fxlc95000.h.

word TFCNT1

Definition at line 4262 of file fxlc95000.h.

word TFCNT2

Definition at line 4263 of file fxlc95000.h.

word TFWM0

Definition at line 4254 of file fxlc95000.h.

word TFWM1

Definition at line 4255 of file fxlc95000.h.

word Word

Definition at line 4247 of file fxlc95000.h.

The documentation for this union was generated from the following file:

- Include/psp/fxlc95000.h